name: c9_r
description: "A new Flutter project."
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: ^3.12.0-113.1.beta

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.8
  flutter_localizations:
    sdk: flutter
  intl: ^0.20.2
  flutter_riverpod: ^2.5.1
  supabase_flutter: ^2.5.1
  pdf: ^3.10.8
  printing: ^5.11.1
  web: ^0.5.1
  url_launcher: ^6.3.0
  font_awesome_flutter: ^10.7.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  flutter_launcher_icons: ^0.13.1

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "c9_assets/logo.png"
  web:
    generate: true
    image_path: "c9_assets/logo.png"
    background_color: "#111111"
    theme_color: "#FFD700"

flutter:
  generate: true
  uses-material-design: true

  assets:
    - c9_assets/

  fonts:
    - family: Almarai
      fonts:
        - asset: c9_assets/Almarai-Light.ttf
          weight: 300
        - asset: c9_assets/Almarai-Regular.ttf
          weight: 400
        - asset: c9_assets/Almarai-Bold.ttf
          weight: 700
        - asset: c9_assets/Almarai-ExtraBold.ttf
          weight: 800

    - family: Cairo
      fonts:
        - asset: c9_assets/Cairo-Regular.ttf
          weight: 400
        - asset: c9_assets/Cairo-Bold.ttf
          weight: 700

    - family: Tajawal
      fonts:
        - asset: c9_assets/Tajawal-Regular.ttf
          weight: 400
        - asset: c9_assets/Tajawal-Bold.ttf
          weight: 700
